#include "partition.h"
#include<iostream>
#include<algorithm>
#include<cmath>
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    vector<int>ans;
    vector<int>other;
    /*vector<pair<int,int>>v;
    for(int i=0;i<A.size();i++)
    {
        v.push_back({A[i],i});
    }
    sort(v.begin(),v.end());
    for(int i=0;i<v.size();i+=2)
    {
        ans.push_back(v[i].second);
        other.push_back(v[i+1].second);
    }*/

    for(int i=1;i<=n/2;i++)
    {
        ans.push_back(i-1);
    }
    ans.push_back(n-1);
    for(int i=n/2+1;i<n;i++)
    {
        other.push_back(i-1);
    }


    for(int x:other)ans.push_back(x);
    return ans;
}
